wake-up-neo.net

Wie aktiviere ich TLS 1.2 in Apache?

Das aktuell aktivierte TLS auf meinem Server ist "tls 1". Wie kann ich tls 1.2 auf meinem Ubuntu-Server aktivieren und muss ich zuerst mein openssl aktualisieren?

# Apache2ctl -v
Server version: Apache/2.2.12 (Ubuntu)

# openssl version -a
OpenSSL 0.9.8g 19 Oct 2007
built on: Fri Dec  3 23:05:00 UTC 2010
platform: debian-AMD64
options:  bn(64,64) md2(int) rc4(ptr,char) des(idx,cisc,16,int) blowfish(ptr2) 
compiler: gcc -fPIC -DOPENSSL_PIC -DZLIB -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -m64 -DL_ENDIAN -DTERMIO -O3 -Wa,--noexecstack -g -Wall -DMD32_REG_T=int -DMD5_ASM
5
MohammedSimba

Um TLSv1.1 und TLSv1.2 für SSLProtocol zu verwenden, benötigen Sie mindestens Version 2.2.23 (zusätzlich zu OpenSSL 1.0.1 oder höher).

Sobald Sie die neueste haben,

Hinzufügen

SSLProtocol TLSv1.1

zu

/etc/httpd/conf.d/ssl.conf

3
Won Jun Bae

Der erste Schritt ist, dass Sie Ihre OpenSSL-Version auf 1.0.1 oder höher aktualisieren müssen. Ihre aktuelle OpenSSL-Version unterstützt TLS 1.2 nicht.

2
Kailash Aghera